Summary:	Red Flag SysStat Tool
Name:		rfsar
Version:	7.0.4
Release:	4%{?dist}
Source:		%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Group:		Applications/System
License:	GPL
Requires:      sysstat >= 7.0.4

## Aternate_Command_Names ##
Source10: set-sysmgt-sysstat

#Asianux
Patch100: rfsar-7.0.4-asianux-desktop_categories.patch
%description
SysStat tool

%prep
%setup -q

#Asianux
%patch100 -p1
%build
qmake
make

%install
rm -rf $RPM_BUILD_ROOT


%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/rfsar
mkdir -p $RPM_BUILD_ROOT/usr/share/applications

cp rfsar $RPM_BUILD_ROOT/usr/bin
cp rfsar.desktop $RPM_BUILD_ROOT/usr/share/applications
cp rfsar.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/rfsar.xpm
cp *xpm $RPM_BUILD_ROOT/usr/share/rfsar
cp *.qm $RPM_BUILD_ROOT/usr/share/rfsar

## Aternate_Command_Names ##
install -m 755 %{SOURCE10} $RPM_BUILD_ROOT%{_bindir}

%post

%postun


%files
%defattr(-,root,root)
%attr(755,root,root)
/usr/bin/rfsar
/usr/bin/set-sysmgt-sysstat
%attr(644,root,root)
/usr/share/applications/rfsar.desktop
/usr/share/rfsar/*xpm
/usr/share/rfsar/*.qm
/usr/share/pixmaps/rfsar.xpm

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Apr 15 2008 Nam, Kwonwoo <kwnam@haansoft.com> 7.0.4-4%{?dist}
- change Aternate Command Names (SOURCE10) for display some message
  when command run without X - bugzilla 4103

* Mon Mar 03 2008 Nam, Kwonwoo <kwnam@haansoft.com> 7.0.4-3AXS3
- add Aternate Command Names (SOURCE10) - bugzilla 3978

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 7.0.4-2AX
- added to rfsar-7.0.4-asianux-desktop_categories.patch

* Tue Jun 19 2007 Wang Diancheng<dcwang@redflag-linux.com> 7.0.4-1AX
- change desktop file location for KDE 3.5, add categories field in desktop file

* Mon Jun 11 2007 Wang Diancheng<dcwang@redflag-linux.com> 7.0.4-1AX
- merge with CVS, sysstat version update to 7.0.4, its sar file format changed, 
- so modify rfsar source code to use new sar file format, now collect sar data 
- from sadf command's ouput (xml file).

* Thu Jan 04 2007 Hua Jie <jiehua@redflag-linux.com> 5.0.5-1.7AX
- add a patch from taohe@redflag-linux.com
- to display utilization of the single one of mutiple cpus(Patch NO.1)

* Thu Dec 21 2006 Xiao Liu <xiaoliu@redflag-linux.com> 5.0.5-1.6AX
- Change Desktop can be used other than root with authority

* Fri May 12 2006 Hua Jie <jiehua@redflag-linux.com> 5.0.5-1.5AX
- Change License to GPL

* Tue Nov 8 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1.4
- bugfix: legend bar display ,avg value, sync timelen of legend bar and addsensordlg
- bugfix: when no mdi window, we need disable legendbar
- code clean

* Tue Jul 11 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1.3
- Japanese and Korean translation

* Mon May 16 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1.2
- add sensor pin description label
- bugfix: current sensor with instance don't correctly highlight.
- bugfix: dev and net instance read error

* Mon May 16 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1
- initial version for Asianux 2.0
